import { SettingsBeforeInitialization, Settings } from "./utils/initialization";
import { Jobs } from "./jobs/Jobs";
/**
 * Firebase Engine to copy data
 */
export declare class FirebaseEngine {
    /**
     * @param settings - settings object
     */
    constructor(settings: SettingsBeforeInitialization | Settings);
    /**
     * settings object
     */
    private settings;
    /**
     * firebase app
     */
    private admin;
    /**
     * Firebase Engine Jobs
     */
    jobs: Jobs;
    /**
     * Google cloud storage app
     */
    private store;
    /**
     * Call this before exiting
     */
    exit(): Promise<void>;
}
