import { App } from "../utils/FirebaseAdmin";
import { JobTemplate, JobOneTemplate } from "../utils/template";
import { Settings } from "../utils/initialization";
import { Storage } from "@google-cloud/storage";
/**
 * Jobs Class
 */
export declare class Jobs extends JobTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * backup jobs
     */
    backup: JobsBackup;
    /**
     * clean jobs
     */
    clean: JobsClean;
    /**
     * restore jobs
     */
    restore: JobsRestore;
}
/**
 * Backup Jobs Class
 */
declare class JobsBackup extends JobOneTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
}
/**
 * Clean Jobs Class
 */
declare class JobsClean extends JobOneTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
}
/**
 * Restore Jobs Class
 */
declare class JobsRestore extends JobOneTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
}
export {};
