import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobBackupServiceTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobBackupFirestore extends JobBackupServiceTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * firebase firestore app
     */
    private firestore;
    /**
     * backup one document function
     */
    private documentBackup;
    /**
     * recursive backup function
     */
    private recursiveBackup;
    /**
     * job runner
     */
    run(): Promise<void>;
}
