import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobOneServiceTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobCleanFirestore extends JobOneServiceTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * document on one batch
     */
    private static batchSize;
    /**
     * firebase firestore app
     */
    private firestore;
    /**
     * batch object
     */
    private batch;
    /**
     * commit batch and recreate
     */
    private batchClean;
    /**
     * recursive clean function
     */
    private recursiveClean;
    /**
     * job runner
     */
    run(): Promise<void>;
}
