"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobCleanStorage = void 0;
const template_1 = require("../../utils/template");
const Logger_1 = require("../../utils/Logger");
class JobCleanStorage extends template_1.JobOneServiceTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings, admin, store) {
        super(settings, admin, store);
    }
    /**
     * job runner
     */
    async run() {
        const [buckets] = await this.store.getBuckets();
        this.startTimestamp = Date.now();
        for (const bucket of buckets)
            if (this.settings.buckets.length === 0 ||
                this.settings.buckets.indexOf(bucket.name) !== -1) {
                await bucket.deleteFiles();
                if (bucket.name.indexOf(this.admin.options.storageBucket))
                    await bucket.delete();
            }
        await new Promise((res) => {
            setTimeout(res, 1);
        });
        Logger_1.Logger.log(" -- Storage Cleaned files in " + this.getWorkTime() + ".");
        Logger_1.Logger.log(" - Storage Clean Complete!");
        return;
    }
}
exports.JobCleanStorage = JobCleanStorage;
//# sourceMappingURL=storage.js.map